1. Claimants
LitPRO API
  • Getting Started
  • Claimants
    • Get Claimants
      GET
    • Create Claimant
      POST
    • Get Claimant
      GET
    • Get Claimant Enrollments
      GET
    • Add Claimant Document
      POST
    • Update an Existing Claimant
      PUT
  • Settlements
    • Get Settlements
      GET
    • Create Settlement
      POST
    • Get Settlement
      GET
    • Update an Existing Settlement
      PUT
  • Liens
    • Get Liens
      GET
    • Get Lien
      GET
  • Projects
    • Get Projects
      GET
  • Invoices
    • Get Invoices
      GET
    • Get Invoice
      GET
  • Schemas
    • Sample Schemas
      • Settlements
      • Claimants
  1. Claimants

Get Claimants

GET
/claimants
Get a lit of claimants

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200OK
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://portal.litpro.com/api/v1/claimants?page[size]=25&page[number]=1&filter[client_file_num]=&sort=-created_at' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "data": [
        {
            "id": 0,
            "client": "string",
            "first_name": "string",
            "last_name": "string",
            "gender": "string",
            "ssn": "string",
            "date_of_birth": "string",
            "date_of_death": "string",
            "address": "string",
            "address2": null,
            "city": "string",
            "state": "string",
            "zip": "string",
            "client_file_num": "string",
            "state_date_of_injury": "string",
            "case_type": null,
            "case_type_description": null,
            "project": "string",
            "injured_on": null,
            "injury": "string",
            "diagnose_date": "string",
            "wrongful_death": true,
            "is_bankruptcy": true,
            "created_at": "string",
            "updated_at": "string"
        }
    ],
    "links": {
        "first": "string",
        "last": "string",
        "prev": null,
        "next": "string"
    },
    "meta": {
        "current_page": 0,
        "from": 0,
        "last_page": 0,
        "links": [
            {
                "url": "string",
                "label": "string",
                "active": true
            }
        ],
        "path": "string",
        "per_page": 0,
        "to": 0,
        "total": 0
    }
}
Modified at 2025-10-09 13:31:18
Previous
Getting Started
Next
Create Claimant